<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс Nodes</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="classNodes-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс Nodes</div>  </div>
</div><!--header-->
<div class="contents">

<p>Грид с заметками  
 <a href="classNodes.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:Nodes:</div>
<div class="dyncontent">
<div class="center"><img src="classNodes__inherit__graph.png" border="0" usemap="#Nodes_inherit__map" alt="Inheritance graph"/></div>
<map name="Nodes_inherit__map" id="Nodes_inherit__map">
<area shape="rect" title="Грид с заметками" alt="" coords="5,80,68,107"/>
<area shape="rect" title=" " alt="" coords="11,5,63,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса Nodes:</div>
<div class="dyncontent">
<div class="center"><img src="classNodes__coll__graph.png" border="0" usemap="#Nodes_coll__map" alt="Collaboration graph"/></div>
<map name="Nodes_coll__map" id="Nodes_coll__map">
<area shape="rect" title="Грид с заметками" alt="" coords="5,80,68,107"/>
<area shape="rect" title=" " alt="" coords="11,5,63,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:af45c2fb6259ccb3da9eaf78ef3198789"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#af45c2fb6259ccb3da9eaf78ef3198789">getId</a> ()</td></tr>
<tr class="memdesc:af45c2fb6259ccb3da9eaf78ef3198789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение id текущего элемента  <a href="classNodes.html#af45c2fb6259ccb3da9eaf78ef3198789">Подробнее...</a><br /></td></tr>
<tr class="separator:af45c2fb6259ccb3da9eaf78ef3198789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a75dea4084675d05fe2acf4ac6eb40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a10a75dea4084675d05fe2acf4ac6eb40">findByCategories</a> (categories)</td></tr>
<tr class="memdesc:a10a75dea4084675d05fe2acf4ac6eb40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Очистка грида и добавление заметок, содержащих категории categories.  <a href="classNodes.html#a10a75dea4084675d05fe2acf4ac6eb40">Подробнее...</a><br /></td></tr>
<tr class="separator:a10a75dea4084675d05fe2acf4ac6eb40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01265238e506453b883bf008e843e65a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a01265238e506453b883bf008e843e65a">editNode</a> (ident, desc, categories)</td></tr>
<tr class="memdesc:a01265238e506453b883bf008e843e65a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение заметки  <a href="classNodes.html#a01265238e506453b883bf008e843e65a">Подробнее...</a><br /></td></tr>
<tr class="separator:a01265238e506453b883bf008e843e65a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfb6bcfc9475af5ea8b1d9b9215c9c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a3cfb6bcfc9475af5ea8b1d9b9215c9c0">getCurrentIndex</a> ()</td></tr>
<tr class="memdesc:a3cfb6bcfc9475af5ea8b1d9b9215c9c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение текущего индекса  <a href="classNodes.html#a3cfb6bcfc9475af5ea8b1d9b9215c9c0">Подробнее...</a><br /></td></tr>
<tr class="separator:a3cfb6bcfc9475af5ea8b1d9b9215c9c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f1a6764fbb019508548ccf75565b0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a97f1a6764fbb019508548ccf75565b0c">addingElement</a> (cats, id)</td></tr>
<tr class="memdesc:a97f1a6764fbb019508548ccf75565b0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Добавление элемента в грид  <a href="classNodes.html#a97f1a6764fbb019508548ccf75565b0c">Подробнее...</a><br /></td></tr>
<tr class="separator:a97f1a6764fbb019508548ccf75565b0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae84f0e8c79b522f02e9978a24b642149"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#ae84f0e8c79b522f02e9978a24b642149">removeRow</a> ()</td></tr>
<tr class="memdesc:ae84f0e8c79b522f02e9978a24b642149"><td class="mdescLeft">&#160;</td><td class="mdescRight">Удаление элемента  <a href="classNodes.html#ae84f0e8c79b522f02e9978a24b642149">Подробнее...</a><br /></td></tr>
<tr class="separator:ae84f0e8c79b522f02e9978a24b642149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9f108f32d3680e9c3a1b419414555b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a6a9f108f32d3680e9c3a1b419414555b">findRemovedCategory</a> (cat)</td></tr>
<tr class="memdesc:a6a9f108f32d3680e9c3a1b419414555b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Поиск элементов с категорией cat.  <a href="classNodes.html#a6a9f108f32d3680e9c3a1b419414555b">Подробнее...</a><br /></td></tr>
<tr class="separator:a6a9f108f32d3680e9c3a1b419414555b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2195af87ee2fa4668f974662c88cd589"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a2195af87ee2fa4668f974662c88cd589">removeCategory</a> (nodesPos, category)</td></tr>
<tr class="memdesc:a2195af87ee2fa4668f974662c88cd589"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение категорий заметок  <a href="classNodes.html#a2195af87ee2fa4668f974662c88cd589">Подробнее...</a><br /></td></tr>
<tr class="separator:a2195af87ee2fa4668f974662c88cd589"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88c345dd9a50772cb5a3524fba2b81ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodes.html#a88c345dd9a50772cb5a3524fba2b81ba">selectCheckedCats</a> (category)</td></tr>
<tr class="memdesc:a88c345dd9a50772cb5a3524fba2b81ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение категорий заметок  <a href="classNodes.html#a88c345dd9a50772cb5a3524fba2b81ba">Подробнее...</a><br /></td></tr>
<tr class="separator:a88c345dd9a50772cb5a3524fba2b81ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Грид с заметками </p>

<p class="definition">См. определение в файле <a class="el" href="Nodes_8qml_source.html">Nodes.qml</a> строка <a class="el" href="Nodes_8qml_source.html#l00014">14</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a97f1a6764fbb019508548ccf75565b0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97f1a6764fbb019508548ccf75565b0c">&#9670;&nbsp;</a></span>addingElement()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::addingElement </td>
          <td>(</td>
          <td class="paramtype">cats&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">id&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Добавление элемента в грид </p>

</div>
</div>
<a id="a01265238e506453b883bf008e843e65a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01265238e506453b883bf008e843e65a">&#9670;&nbsp;</a></span>editNode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::editNode </td>
          <td>(</td>
          <td class="paramtype">ident&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">desc&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">categories&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Изменение заметки </p>

</div>
</div>
<a id="a10a75dea4084675d05fe2acf4ac6eb40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a75dea4084675d05fe2acf4ac6eb40">&#9670;&nbsp;</a></span>findByCategories()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::findByCategories </td>
          <td>(</td>
          <td class="paramtype">categories&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Очистка грида и добавление заметок, содержащих категории categories. </p>

</div>
</div>
<a id="a6a9f108f32d3680e9c3a1b419414555b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a9f108f32d3680e9c3a1b419414555b">&#9670;&nbsp;</a></span>findRemovedCategory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::findRemovedCategory </td>
          <td>(</td>
          <td class="paramtype">cat&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Поиск элементов с категорией cat. </p>

</div>
</div>
<a id="a3cfb6bcfc9475af5ea8b1d9b9215c9c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cfb6bcfc9475af5ea8b1d9b9215c9c0">&#9670;&nbsp;</a></span>getCurrentIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::getCurrentIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение текущего индекса </p>

</div>
</div>
<a id="af45c2fb6259ccb3da9eaf78ef3198789"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af45c2fb6259ccb3da9eaf78ef3198789">&#9670;&nbsp;</a></span>getId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::getId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение id текущего элемента </p>

</div>
</div>
<a id="a2195af87ee2fa4668f974662c88cd589"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2195af87ee2fa4668f974662c88cd589">&#9670;&nbsp;</a></span>removeCategory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::removeCategory </td>
          <td>(</td>
          <td class="paramtype">nodesPos&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">category&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Изменение категорий заметок </p>

</div>
</div>
<a id="ae84f0e8c79b522f02e9978a24b642149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae84f0e8c79b522f02e9978a24b642149">&#9670;&nbsp;</a></span>removeRow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::removeRow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Удаление элемента </p>

</div>
</div>
<a id="a88c345dd9a50772cb5a3524fba2b81ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88c345dd9a50772cb5a3524fba2b81ba">&#9670;&nbsp;</a></span>selectCheckedCats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Nodes::selectCheckedCats </td>
          <td>(</td>
          <td class="paramtype">category&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Изменение категорий заметок </p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="Nodes_8qml_source.html">Nodes.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
